- hosts: all
  become: true
  gather_facts: true

  tasks:
    - name: Updates apt cache
      apt:
        update_cache: true

    - name: Install a list of packages
      apt:
        pkg: "{{ packages }}"
      vars:
        packages:
          - python3-pip

    - name: Install docker python package
      pip:
        name:
          - docker

    - name: Run a container
      docker_container:
        name: devops-example-app
        image: hexletcomponents/devops-example-app:latest
        ports:
          - 5000:5000
        env:
          SERVER_MESSAGE: "{{ ansible_facts.default_ipv4.address }}"
        recreate: true
        state: started
